Skip to main content
GET
/
api
/
v2
/
webhooks
/
{id}
/
delivery-logs
/
{logId}
Get webhook delivery log
curl --request GET \
  --url https://api.example.com/api/v2/webhooks/{id}/delivery-logs/{logId}
import requests

url = "https://api.example.com/api/v2/webhooks/{id}/delivery-logs/{logId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v2/webhooks/{id}/delivery-logs/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "eventType": "<string>",
    "httpStatusCode": 123,
    "errorMessage": "<string>",
    "eventSourceAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "eventSourceAccountName": "<string>",
    "eventSubjectId": "<string>",
    "eventSubjectDisplayName": "<string>",
    "eventSubjectAttributes": {},
    "webhookConfigurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isTest": true,
    "originalDeliveryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "attemptNumber": 123,
    "latencyMs": 123,
    "responseSnippet": "<string>",
    "eventPayload": "<string>",
    "eventOccurredAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "redeliveryRequestedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "<string>"
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}

Path Parameters

id
string<uuid>
required
logId
string<uuid>
required

Query Parameters

createdAt
string<date-time>
required

Response

OK

Standard v2 API response envelope for single-item responses.

data
object
meta
object